-- Writing script (ISO 15924) to Unicode block(s)
local l =
{
  ['Arab'] = { 'Arabic' },
  ['Armi'] = { 'Imperial Aramaic' },
  ['Armn'] = { 'Armenian' },
  ['Avst'] = { 'Avestan' },
  ['Bali'] = { 'Balinese' },
  ['Bamu'] = { 'Bamum' },
  ['Batk'] = { 'Batak' },
  ['Beng'] = { 'Bengali' },
  ['Bopo'] = { 'Bopomofo' },
  ['Brah'] = { 'Brahmi' },
  ['Brai'] = { 'Braille Patterns' },
  ['Bugi'] = { 'Buginese' },
  ['Buhd'] = { 'Buhid' },
  ['Cakm'] = { 'Chakma' },
  ['Cans'] = { 'Unified Canadian Aboriginal Syllabics' },
  ['Cari'] = { 'Carian' },
  ['Cham'] = { 'Cham' },
  ['Cher'] = { 'Cherokee' },
  ['Copt'] = { 'Coptic' },
  ['Cprt'] = { 'Cypriot' },
  ['Cyrl'] = { 'Cyrillic' },
  ['Deva'] = { 'Devanagari' },
  ['Dsrt'] = { 'Deseret' },
  ['Egyp'] = { 'Egyptian Hieroglyphs' },
  ['Ethi'] = { 'Ethiopic' },
  ['Geok'] = { 'Khutsuri' },
  ['Geor'] = { 'Georgian' },
  ['Glag'] = { 'Glagolitic' },
  ['Goth'] = { 'Gothic' },
  ['Gran'] = { 'Grantha' },
  ['Grek'] = { 'Greek and Coptic' },
  ['Gujr'] = { 'Gujarati' },
  ['Guru'] = { 'Gurmukhi' },
  ['Hang'] = { 'Hangul Jamo' },
  ['Hani'] = { 'CJK Unified Ideographs' },
  ['Hano'] = { 'Hanunoo' },
  ['Hans'] = { 'CJK Unified Ideographs' },
  ['Hant'] = { 'CJK Unified Ideographs' },
  ['Hebr'] = { 'Hebrew' },
  ['Hira'] = { 'Hiragana' },
  ['Hmng'] = { 'Pahawh Hmong' },
  ['Hrkt'] = { 'Hiragana', 'Katakana' },
  ['Ital'] = { 'Old Italic' },
  ['Java'] = { 'Javanese' },
  ['Jpan'] = { 'CJK Unified Ideographs', 'Hiragana', 'Katakana' },
  ['Kali'] = { 'Kayah Li' },
  ['Kana'] = { 'Katakana' },
  ['Khar'] = { 'Kharoshthi' },
  ['Khmr'] = { 'Khmer' },
  ['Knda'] = { 'Kannada' },
  ['Kore'] = { 'Hangul Jamo', 'CJK Unified Ideographs' },
  ['Kthi'] = { 'Kaithi' },
  ['Lana'] = { 'Tai Tham' },
  ['Laoo'] = { 'Lao' },
  ['Latf'] = { 'Latin' },
  ['Latg'] = { 'Latin' },
  ['Latn'] = { 'Basic Latin' },
  ['Lepc'] = { 'Lepcha' },
  ['Limb'] = { 'Limbu' },
  ['Lina'] = { 'Linear A' },
  ['Linb'] = { 'Linear B' },
  ['Lisu'] = { 'Lisu' },
  ['Lyci'] = { 'Lycian' },
  ['Lydi'] = { 'Lydian' },
  ['Mand'] = { 'Mandaic' },
  ['Mani'] = { 'Manichaean' },
  ['Merc'] = { 'Meroitic Cursive' },
  ['Mero'] = { 'Meroitic Hieroglyphs' },
  ['Mlym'] = { 'Malayalam' },
  ['Mong'] = { 'Mongolian' },
  ['Mtei'] = { 'Meetei Mayek' },
  ['Mymr'] = { 'Myanmar' },
  ['Nkoo'] = { 'NKo' },
  ['Ogam'] = { 'Ogham' },
  ['Olck'] = { 'Ol Chiki' },
  ['Orkh'] = { 'Old Turkic' },
  ['Orya'] = { 'Oriya' },
  ['Osma'] = { 'Osmanya' },
  ['Perm'] = { 'Old Permic' },
  ['Phag'] = { 'Phags-pa' },
  ['Phli'] = { 'Inscriptional Pahlavi' },
  ['Phlp'] = { 'Psalter Pahlavi' },
  ['Phnx'] = { 'Phoenician' },
  ['Plrd'] = { 'Miao' },
  ['Prti'] = { 'Inscriptional Parthian' },
  ['Rjng'] = { 'Rejang' },
  ['Runr'] = { 'Runic' },
  ['Samr'] = { 'Samaritan' },
  ['Sarb'] = { 'Old South Arabian' },
  ['Saur'] = { 'Saurashtra' },
  ['Shaw'] = { 'Shavian' },
  ['Sinh'] = { 'Sinhala' },
  ['Sund'] = { 'Sundanese' },
  ['Sylo'] = { 'Syloti Nagri' },
  ['Syrc'] = { 'Syriac' },
  ['Tagb'] = { 'Tagbanwa' },
  ['Tale'] = { 'Tai Le' },
  ['Talu'] = { 'New Tai Lue' },
  ['Taml'] = { 'Tamil' },
  ['Tavt'] = { 'Tai Viet' },
  ['Telu'] = { 'Telugu' },
  ['Tfng'] = { 'Tifinagh' },
  ['Tglg'] = { 'Tagalog' },
  ['Thaa'] = { 'Thaana' },
  ['Thai'] = { 'Thai' },
  ['Tibt'] = { 'Tibetan' },
  ['Ugar'] = { 'Ugaritic' },
  ['Vaii'] = { 'Vai' },
  ['Wara'] = { 'Warang Citi (Varang Kshiti)' },
  ['Xpeo'] = { 'Old Persian' },
  ['Xsux'] = { 'Cuneiform' },
  ['Yiii'] = { 'Yi' },
  ['Zinh'] = { 'Code for inherited script' },
  ['Zyyy'] = { 'Code for undetermined script' },
  ['Zzzz'] = { 'Code for uncoded script' }
}
return l