-- locale to script(s) (ISO 15924)
local l =
{
  ['aa'] = { 'Latn' },
  ['ab'] = { 'Cyrl' },
  ['abq'] = { 'Cyrl' },
  ['ace'] = { 'Latn' },
  ['ach'] = { 'Latn' },
  ['ada'] = { 'Latn' },
  ['ady'] = { 'Cyrl' },
  ['aeb'] = { 'Arab' },
  ['af'] = { 'Latn' },
  ['agq'] = { 'Latn' },
  ['aii'] = { 'Cyrl' },
  ['ak'] = { 'Latn' },
  ['akz'] = { 'Latn' },
  ['ale'] = { 'Latn' },
  ['aln'] = { 'Latn' },
  ['alt'] = { 'Cyrl' },
  ['am'] = { 'Ethi' },
  ['amo'] = { 'Latn' },
  ['an'] = { 'Latn' },
  ['anp'] = { 'Deva' },
  ['aoz'] = { 'Latn' },
  ['ar'] = { 'Arab' },
  ['arn'] = { 'Latn' },
  ['aro'] = { 'Latn' },
  ['arp'] = { 'Latn' },
  ['arq'] = { 'Arab' },
  ['ary'] = { 'Arab' },
  ['arz'] = { 'Arab' },
  ['as'] = { 'Beng' },
  ['asa'] = { 'Latn' },
  ['ast'] = { 'Latn' },
  ['atj'] = { 'Latn' },
  ['av'] = { 'Cyrl' },
  ['awa'] = { 'Deva' },
  ['ay'] = { 'Latn' },
  ['az'] = { 'Arab', 'Cyrl', 'Latn' },
  ['azb'] = { 'Arab' },
  ['ba'] = { 'Cyrl' },
  ['bal'] = { 'Arab' },
  ['ban'] = { 'Latn' },
  ['bap'] = { 'Deva' },
  ['bar'] = { 'Latn' },
  ['bas'] = { 'Latn' },
  ['bax'] = { 'Bamu' },
  ['bbc'] = { 'Latn' },
  ['bbj'] = { 'Latn' },
  ['be'] = { 'Cyrl' },
  ['bej'] = { 'Arab' },
  ['bem'] = { 'Latn' },
  ['bew'] = { 'Latn' },
  ['bez'] = { 'Latn' },
  ['bfd'] = { 'Latn' },
  ['bfq'] = { 'Taml' },
  ['bft'] = { 'Arab' },
  ['bfy'] = { 'Deva' },
  ['bg'] = { 'Cyrl' },
  ['bgx'] = { 'Grek' },
  ['bhb'] = { 'Deva' },
  ['bho'] = { 'Deva' },
  ['bi'] = { 'Latn' },
  ['bik'] = { 'Latn' },
  ['bin'] = { 'Latn' },
  ['bjj'] = { 'Deva' },
  ['bjn'] = { 'Latn' },
  ['bkm'] = { 'Latn' },
  ['bku'] = { 'Latn' },
  ['bla'] = { 'Latn' },
  ['blt'] = { 'Tavt' },
  ['bm'] = { 'Latn', 'Nkoo' },
  ['bmq'] = { 'Latn' },
  ['bn'] = { 'Beng' },
  ['bo'] = { 'Tibt' },
  ['bpy'] = { 'Beng' },
  ['bqv'] = { 'Latn' },
  ['br'] = { 'Latn' },
  ['bra'] = { 'Deva' },
  ['brh'] = { 'Arab' },
  ['brx'] = { 'Deva' },
  ['bs'] = { 'Cyrl', 'Latn' },
  ['bss'] = { 'Latn' },
  ['bto'] = { 'Latn' },
  ['btv'] = { 'Deva' },
  ['bua'] = { 'Cyrl' },
  ['buc'] = { 'Latn' },
  ['bug'] = { 'Latn' },
  ['bum'] = { 'Latn' },
  ['bvb'] = { 'Latn' },
  ['bya'] = { 'Latn' },
  ['byn'] = { 'Ethi' },
  ['byv'] = { 'Latn' },
  ['bze'] = { 'Latn' },
  ['bzx'] = { 'Latn' },
  ['ca'] = { 'Latn' },
  ['cad'] = { 'Latn' },
  ['car'] = { 'Latn' },
  ['cay'] = { 'Latn' },
  ['cch'] = { 'Latn' },
  ['ccp'] = { 'Beng' },
  ['ce'] = { 'Cyrl' },
  ['ceb'] = { 'Latn' },
  ['cgg'] = { 'Latn' },
  ['ch'] = { 'Latn' },
  ['chk'] = { 'Latn' },
  ['chm'] = { 'Cyrl' },
  ['cho'] = { 'Latn' },
  ['chp'] = { 'Latn' },
  ['chr'] = { 'Cher' },
  ['chy'] = { 'Latn' },
  ['cja'] = { 'Arab' },
  ['cjm'] = { 'Cham' },
  ['cjs'] = { 'Cyrl' },
  ['ckb'] = { 'Arab' },
  ['ckt'] = { 'Cyrl' },
  ['co'] = { 'Latn' },
  ['cps'] = { 'Latn' },
  ['cr'] = { 'Cans', 'Latn' },
  ['crh'] = { 'Cyrl' },
  ['crj'] = { 'Cans' },
  ['crk'] = { 'Cans' },
  ['crl'] = { 'Cans' },
  ['crm'] = { 'Cans' },
  ['cs'] = { 'Latn' },
  ['csw'] = { 'Cans' },
  ['cv'] = { 'Cyrl' },
  ['cy'] = { 'Latn' },
  ['da'] = { 'Latn' },
  ['dak'] = { 'Latn' },
  ['dar'] = { 'Cyrl' },
  ['dav'] = { 'Latn' },
  ['de'] = { 'Latn' },
  ['del'] = { 'Latn' },
  ['den'] = { 'Latn' },
  ['dgr'] = { 'Latn' },
  ['din'] = { 'Latn' },
  ['dje'] = { 'Latn' },
  ['dng'] = { 'Cyrl' },
  ['dnj'] = { 'Latn' },
  ['doi'] = { 'Arab' },
  ['dsb'] = { 'Latn' },
  ['dtm'] = { 'Latn' },
  ['dtp'] = { 'Latn' },
  ['dua'] = { 'Latn' },
  ['dv'] = { 'Thaa' },
  ['dyo'] = { 'Latn' },
  ['dyu'] = { 'Latn' },
  ['dz'] = { 'Tibt' },
  ['ebu'] = { 'Latn' },
  ['ee'] = { 'Latn' },
  ['efi'] = { 'Latn' },
  ['egl'] = { 'Latn' },
  ['eka'] = { 'Latn' },
  ['eky'] = { 'Kali' },
  ['el'] = { 'Grek' },
  ['en'] = { 'Latn' },
  ['eo'] = { 'Latn' },
  ['es'] = { 'Latn' },
  ['esu'] = { 'Latn' },
  ['et'] = { 'Latn' },
  ['eu'] = { 'Latn' },
  ['evn'] = { 'Cyrl' },
  ['ewo'] = { 'Latn' },
  ['ext'] = { 'Latn' },
  ['fa'] = { 'Arab' },
  ['fan'] = { 'Latn' },
  ['ff'] = { 'Latn' },
  ['fi'] = { 'Latn' },
  ['fil'] = { 'Latn' },
  ['fit'] = { 'Latn' },
  ['fj'] = { 'Latn' },
  ['fo'] = { 'Latn' },
  ['fon'] = { 'Latn' },
  ['fr'] = { 'Latn' },
  ['frc'] = { 'Latn' },
  ['frr'] = { 'Latn' },
  ['frs'] = { 'Latn' },
  ['fur'] = { 'Latn' },
  ['fy'] = { 'Latn' },
  ['ga'] = { 'Latn' },
  ['gaa'] = { 'Latn' },
  ['gag'] = { 'Latn' },
  ['gan'] = { 'Hans' },
  ['gay'] = { 'Latn' },
  ['gba'] = { 'Arab' },
  ['gbm'] = { 'Deva' },
  ['gbz'] = { 'Arab' },
  ['gcr'] = { 'Latn' },
  ['gd'] = { 'Latn' },
  ['ggn'] = { 'Deva' },
  ['gil'] = { 'Latn' },
  ['gjk'] = { 'Arab' },
  ['gju'] = { 'Arab' },
  ['gl'] = { 'Latn' },
  ['gld'] = { 'Cyrl' },
  ['glk'] = { 'Arab' },
  ['gn'] = { 'Latn' },
  ['gom'] = { 'Deva' },
  ['gon'] = { 'Deva', 'Telu' },
  ['gor'] = { 'Latn' },
  ['gos'] = { 'Latn' },
  ['grb'] = { 'Latn' },
  ['grt'] = { 'Beng' },
  ['gsw'] = { 'Latn' },
  ['gu'] = { 'Gujr' },
  ['gub'] = { 'Latn' },
  ['guc'] = { 'Latn' },
  ['gur'] = { 'Latn' },
  ['guz'] = { 'Latn' },
  ['gv'] = { 'Latn' },
  ['gvr'] = { 'Deva' },
  ['gwi'] = { 'Latn' },
  ['ha'] = { 'Arab', 'Latn' },
  ['hai'] = { 'Latn' },
  ['hak'] = { 'Hans' },
  ['haw'] = { 'Latn' },
  ['he'] = { 'Hebr' },
  ['hi'] = { 'Deva' },
  ['hif'] = { 'Deva', 'Latn' },
  ['hil'] = { 'Latn' },
  ['hmd'] = { 'Plrd' },
  ['hmn'] = { 'Latn' },
  ['hnd'] = { 'Arab' },
  ['hne'] = { 'Deva' },
  ['hnn'] = { 'Latn' },
  ['ho'] = { 'Latn' },
  ['hoc'] = { 'Deva' },
  ['hoj'] = { 'Deva' },
  ['hop'] = { 'Latn' },
  ['hr'] = { 'Latn' },
  ['hsb'] = { 'Latn' },
  ['hsn'] = { 'Hans' },
  ['ht'] = { 'Latn' },
  ['hu'] = { 'Latn' },
  ['hup'] = { 'Latn' },
  ['hy'] = { 'Armn' },
  ['hz'] = { 'Latn' },
  ['iba'] = { 'Latn' },
  ['ibb'] = { 'Latn' },
  ['id'] = { 'Latn' },
  ['ig'] = { 'Latn' },
  ['ii'] = { 'Yiii' },
  ['ik'] = { 'Latn' },
  ['ilo'] = { 'Latn' },
  ['inh'] = { 'Cyrl' },
  ['is'] = { 'Latn' },
  ['it'] = { 'Latn' },
  ['iu'] = { 'Cans', 'Latn' },
  ['izh'] = { 'Latn' },
  ['ja'] = { 'Jpan' },
  ['jam'] = { 'Latn' },
  ['jgo'] = { 'Latn' },
  ['jmc'] = { 'Latn' },
  ['jml'] = { 'Deva' },
  ['jpr'] = { 'Hebr' },
  ['jrb'] = { 'Hebr' },
  ['jut'] = { 'Latn' },
  ['jv'] = { 'Latn' },
  ['ka'] = { 'Geor' },
  ['kaa'] = { 'Cyrl' },
  ['kab'] = { 'Latn' },
  ['kac'] = { 'Latn' },
  ['kaj'] = { 'Latn' },
  ['kam'] = { 'Latn' },
  ['kao'] = { 'Latn' },
  ['kbd'] = { 'Cyrl' },
  ['kca'] = { 'Cyrl' },
  ['kcg'] = { 'Latn' },
  ['kck'] = { 'Latn' },
  ['kde'] = { 'Latn' },
  ['kdt'] = { 'Thai' },
  ['kea'] = { 'Latn' },
  ['kfo'] = { 'Latn' },
  ['kfr'] = { 'Deva' },
  ['kg'] = { 'Latn' },
  ['kge'] = { 'Latn' },
  ['kgp'] = { 'Latn' },
  ['kha'] = { 'Latn' },
  ['khb'] = { 'Talu' },
  ['khq'] = { 'Latn' },
  ['kht'] = { 'Mymr' },
  ['khw'] = { 'Arab' },
  ['ki'] = { 'Latn' },
  ['kiu'] = { 'Latn' },
  ['kj'] = { 'Latn' },
  ['kjg'] = { 'Laoo' },
  ['kjh'] = { 'Cyrl' },
  ['kk'] = { 'Arab', 'Cyrl' },
  ['kkj'] = { 'Latn' },
  ['kl'] = { 'Latn' },
  ['kln'] = { 'Latn' },
  ['km'] = { 'Khmr' },
  ['kmb'] = { 'Latn' },
  ['kn'] = { 'Knda' },
  ['ko'] = { 'Kore' },
  ['koi'] = { 'Cyrl' },
  ['kok'] = { 'Deva' },
  ['kos'] = { 'Latn' },
  ['kpe'] = { 'Latn' },
  ['kpy'] = { 'Cyrl' },
  ['kr'] = { 'Latn' },
  ['krc'] = { 'Cyrl' },
  ['kri'] = { 'Latn' },
  ['krj'] = { 'Latn' },
  ['krl'] = { 'Latn' },
  ['kru'] = { 'Deva' },
  ['ks'] = { 'Arab', 'Deva' },
  ['ksb'] = { 'Latn' },
  ['ksf'] = { 'Latn' },
  ['ksh'] = { 'Latn' },
  ['ku'] = { 'Arab', 'Cyrl', 'Latn' },
  ['kum'] = { 'Cyrl' },
  ['kut'] = { 'Latn' },
  ['kv'] = { 'Cyrl' },
  ['kvr'] = { 'Latn' },
  ['kvx'] = { 'Arab' },
  ['kw'] = { 'Latn' },
  ['kxp'] = { 'Arab' },
  ['ky'] = { 'Arab', 'Cyrl', 'Latn' },
  ['kyu'] = { 'Kali' },
  ['lad'] = { 'Hebr' },
  ['lag'] = { 'Latn' },
  ['lah'] = { 'Arab' },
  ['lam'] = { 'Latn' },
  ['lb'] = { 'Latn' },
  ['lbe'] = { 'Cyrl' },
  ['lbw'] = { 'Latn' },
  ['lcp'] = { 'Thai' },
  ['lep'] = { 'Lepc' },
  ['lez'] = { 'Cyrl' },
  ['lg'] = { 'Latn' },
  ['li'] = { 'Latn' },
  ['lif'] = { 'Deva', 'Limb' },
  ['lij'] = { 'Latn' },
  ['lis'] = { 'Lisu' },
  ['lki'] = { 'Arab' },
  ['lkt'] = { 'Latn' },
  ['lmn'] = { 'Telu' },
  ['lmo'] = { 'Latn' },
  ['ln'] = { 'Latn' },
  ['lo'] = { 'Laoo' },
  ['lol'] = { 'Latn' },
  ['loz'] = { 'Latn' },
  ['lt'] = { 'Latn' },
  ['ltg'] = { 'Latn' },
  ['lu'] = { 'Latn' },
  ['lua'] = { 'Latn' },
  ['lui'] = { 'Latn' },
  ['lun'] = { 'Latn' },
  ['luo'] = { 'Latn' },
  ['lus'] = { 'Beng' },
  ['luy'] = { 'Latn' },
  ['luz'] = { 'Arab' },
  ['lv'] = { 'Latn' },
  ['lwl'] = { 'Thai' },
  ['lzz'] = { 'Geor', 'Latn' },
  ['mad'] = { 'Latn' },
  ['maf'] = { 'Latn' },
  ['mag'] = { 'Deva' },
  ['mai'] = { 'Deva' },
  ['mak'] = { 'Latn' },
  ['man'] = { 'Latn', 'Nkoo' },
  ['mas'] = { 'Latn' },
  ['maz'] = { 'Latn' },
  ['mdf'] = { 'Cyrl' },
  ['mdh'] = { 'Latn' },
  ['mdr'] = { 'Latn' },
  ['mdt'] = { 'Latn' },
  ['men'] = { 'Latn' },
  ['mer'] = { 'Latn' },
  ['mfe'] = { 'Latn' },
  ['mg'] = { 'Latn' },
  ['mgh'] = { 'Latn' },
  ['mgo'] = { 'Latn' },
  ['mgp'] = { 'Deva' },
  ['mgy'] = { 'Latn' },
  ['mh'] = { 'Latn' },
  ['mi'] = { 'Latn' },
  ['mic'] = { 'Latn' },
  ['min'] = { 'Latn' },
  ['mk'] = { 'Cyrl' },
  ['ml'] = { 'Mlym' },
  ['mn'] = { 'Cyrl', 'Mong' },
  ['mni'] = { 'Beng' },
  ['mns'] = { 'Cyrl' },
  ['mnw'] = { 'Mymr' },
  ['moe'] = { 'Latn' },
  ['moh'] = { 'Latn' },
  ['mos'] = { 'Latn' },
  ['mr'] = { 'Deva' },
  ['mrd'] = { 'Deva' },
  ['mrj'] = { 'Cyrl' },
  ['ms'] = { 'Arab', 'Latn' },
  ['mt'] = { 'Latn' },
  ['mua'] = { 'Latn' },
  ['mus'] = { 'Latn' },
  ['mvy'] = { 'Arab' },
  ['mwk'] = { 'Latn' },
  ['mwl'] = { 'Latn' },
  ['mwr'] = { 'Deva' },
  ['mwv'] = { 'Latn' },
  ['mxc'] = { 'Latn' },
  ['my'] = { 'Mymr' },
  ['myv'] = { 'Cyrl' },
  ['mzn'] = { 'Arab' },
  ['na'] = { 'Latn' },
  ['nan'] = { 'Hans' },
  ['nap'] = { 'Latn' },
  ['naq'] = { 'Latn' },
  ['nb'] = { 'Latn' },
  ['nch'] = { 'Latn' },
  ['nd'] = { 'Latn' },
  ['nds'] = { 'Latn' },
  ['ne'] = { 'Deva' },
  ['new'] = { 'Deva' },
  ['ng'] = { 'Latn' },
  ['nhe'] = { 'Latn' },
  ['nhw'] = { 'Latn' },
  ['nia'] = { 'Latn' },
  ['nij'] = { 'Latn' },
  ['niu'] = { 'Latn' },
  ['njo'] = { 'Latn' },
  ['nl'] = { 'Latn' },
  ['nmg'] = { 'Latn' },
  ['nn'] = { 'Latn' },
  ['nnh'] = { 'Latn' },
  ['nod'] = { 'Lana' },
  ['nog'] = { 'Cyrl' },
  ['nqo'] = { 'Nkoo' },
  ['nr'] = { 'Latn' },
  ['nsk'] = { 'Cans' },
  ['nso'] = { 'Latn' },
  ['nus'] = { 'Latn' },
  ['nv'] = { 'Latn' },
  ['nxq'] = { 'Latn' },
  ['ny'] = { 'Latn' },
  ['nym'] = { 'Latn' },
  ['nyn'] = { 'Latn' },
  ['nyo'] = { 'Latn' },
  ['nzi'] = { 'Latn' },
  ['oc'] = { 'Latn' },
  ['oj'] = { 'Cans' },
  ['om'] = { 'Latn' },
  ['or'] = { 'Orya' },
  ['os'] = { 'Cyrl' },
  ['osa'] = { 'Latn' },
  ['pa'] = { 'Arab', 'Guru' },
  ['pag'] = { 'Latn' },
  ['pam'] = { 'Latn' },
  ['pap'] = { 'Latn' },
  ['pau'] = { 'Latn' },
  ['pcd'] = { 'Latn' },
  ['pcm'] = { 'Latn' },
  ['pdc'] = { 'Latn' },
  ['pdt'] = { 'Latn' },
  ['pfl'] = { 'Latn' },
  ['pko'] = { 'Latn' },
  ['pl'] = { 'Latn' },
  ['pms'] = { 'Latn' },
  ['pnt'] = { 'Cyrl', 'Grek', 'Latn' },
  ['pon'] = { 'Latn' },
  ['prd'] = { 'Arab' },
  ['prs'] = { 'Arab' },
  ['ps'] = { 'Arab' },
  ['pt'] = { 'Latn' },
  ['puu'] = { 'Latn' },
  ['qu'] = { 'Latn' },
  ['quc'] = { 'Latn' },
  ['qug'] = { 'Latn' },
  ['raj'] = { 'Latn' },
  ['rap'] = { 'Latn' },
  ['rar'] = { 'Latn' },
  ['rcf'] = { 'Latn' },
  ['rej'] = { 'Latn' },
  ['rgn'] = { 'Latn' },
  ['ria'] = { 'Latn' },
  ['rif'] = { 'Tfng' },
  ['rjs'] = { 'Deva' },
  ['rkt'] = { 'Beng' },
  ['rm'] = { 'Latn' },
  ['rmf'] = { 'Latn' },
  ['rmo'] = { 'Latn' },
  ['rmt'] = { 'Arab' },
  ['rmu'] = { 'Latn' },
  ['rn'] = { 'Latn' },
  ['rng'] = { 'Latn' },
  ['ro'] = { 'Latn' },
  ['rob'] = { 'Latn' },
  ['rof'] = { 'Latn' },
  ['rom'] = { 'Cyrl', 'Latn' },
  ['rtm'] = { 'Latn' },
  ['ru'] = { 'Cyrl' },
  ['rue'] = { 'Cyrl' },
  ['rug'] = { 'Latn' },
  ['rup'] = { 'Latn' },
  ['rw'] = { 'Latn' },
  ['rwk'] = { 'Latn' },
  ['ryu'] = { 'Kana' },
  ['sad'] = { 'Latn' },
  ['saf'] = { 'Latn' },
  ['sah'] = { 'Cyrl' },
  ['saq'] = { 'Latn' },
  ['sas'] = { 'Latn' },
  ['sat'] = { 'Latn' },
  ['saz'] = { 'Saur' },
  ['sbp'] = { 'Latn' },
  ['sc'] = { 'Latn' },
  ['scn'] = { 'Latn' },
  ['sco'] = { 'Latn' },
  ['scs'] = { 'Latn' },
  ['sd'] = { 'Arab', 'Deva' },
  ['sdc'] = { 'Latn' },
  ['sdh'] = { 'Arab' },
  ['se'] = { 'Latn' },
  ['see'] = { 'Latn' },
  ['sef'] = { 'Latn' },
  ['seh'] = { 'Latn' },
  ['sei'] = { 'Latn' },
  ['ses'] = { 'Latn' },
  ['sg'] = { 'Latn' },
  ['sgs'] = { 'Latn' },
  ['shi'] = { 'Arab', 'Latn', 'Tfng' },
  ['shn'] = { 'Mymr' },
  ['si'] = { 'Sinh' },
  ['sid'] = { 'Latn' },
  ['sk'] = { 'Latn' },
  ['sl'] = { 'Latn' },
  ['sli'] = { 'Latn' },
  ['sly'] = { 'Latn' },
  ['sm'] = { 'Latn' },
  ['sma'] = { 'Latn' },
  ['smj'] = { 'Latn' },
  ['smn'] = { 'Latn' },
  ['sms'] = { 'Latn' },
  ['sn'] = { 'Latn' },
  ['snk'] = { 'Latn' },
  ['so'] = { 'Latn' },
  ['sq'] = { 'Latn' },
  ['sr'] = { 'Cyrl', 'Latn' },
  ['srb'] = { 'Latn' },
  ['srn'] = { 'Latn' },
  ['srr'] = { 'Latn' },
  ['srx'] = { 'Deva' },
  ['ss'] = { 'Latn' },
  ['ssy'] = { 'Latn' },
  ['st'] = { 'Latn' },
  ['stq'] = { 'Latn' },
  ['su'] = { 'Latn' },
  ['suk'] = { 'Latn' },
  ['sus'] = { 'Latn' },
  ['sv'] = { 'Latn' },
  ['sw'] = { 'Latn' },
  ['swb'] = { 'Arab' },
  ['swc'] = { 'Latn' },
  ['sxn'] = { 'Latn' },
  ['syi'] = { 'Latn' },
  ['syl'] = { 'Beng' },
  ['szl'] = { 'Latn' },
  ['ta'] = { 'Taml' },
  ['tab'] = { 'Cyrl' },
  ['taj'] = { 'Deva' },
  ['tbw'] = { 'Latn' },
  ['tcy'] = { 'Knda' },
  ['tdd'] = { 'Tale' },
  ['tdg'] = { 'Deva' },
  ['tdh'] = { 'Deva' },
  ['te'] = { 'Telu' },
  ['tem'] = { 'Latn' },
  ['teo'] = { 'Latn' },
  ['ter'] = { 'Latn' },
  ['tet'] = { 'Latn' },
  ['tg'] = { 'Arab', 'Cyrl', 'Latn' },
  ['th'] = { 'Thai' },
  ['thl'] = { 'Deva' },
  ['thq'] = { 'Deva' },
  ['thr'] = { 'Deva' },
  ['ti'] = { 'Ethi' },
  ['tig'] = { 'Ethi' },
  ['tiv'] = { 'Latn' },
  ['tk'] = { 'Arab', 'Cyrl', 'Latn' },
  ['tkl'] = { 'Latn' },
  ['tkr'] = { 'Cyrl', 'Latn' },
  ['tkt'] = { 'Deva' },
  ['tli'] = { 'Latn' },
  ['tly'] = { 'Arab', 'Cyrl', 'Latn' },
  ['tmh'] = { 'Latn' },
  ['tn'] = { 'Latn' },
  ['to'] = { 'Latn' },
  ['tog'] = { 'Latn' },
  ['tpi'] = { 'Latn' },
  ['tr'] = { 'Latn' },
  ['tru'] = { 'Latn' },
  ['trv'] = { 'Latn' },
  ['ts'] = { 'Latn' },
  ['tsd'] = { 'Grek' },
  ['tsf'] = { 'Deva' },
  ['tsg'] = { 'Latn' },
  ['tsi'] = { 'Latn' },
  ['tsj'] = { 'Tibt' },
  ['tt'] = { 'Cyrl' },
  ['ttj'] = { 'Latn' },
  ['tts'] = { 'Thai' },
  ['ttt'] = { 'Cyrl', 'Latn' },
  ['tum'] = { 'Latn' },
  ['tvl'] = { 'Latn' },
  ['twq'] = { 'Latn' },
  ['ty'] = { 'Latn' },
  ['tyv'] = { 'Cyrl' },
  ['tzm'] = { 'Latn', 'Tfng' },
  ['ude'] = { 'Cyrl' },
  ['udm'] = { 'Cyrl' },
  ['ug'] = { 'Arab', 'Cyrl' },
  ['uk'] = { 'Cyrl' },
  ['uli'] = { 'Latn' },
  ['umb'] = { 'Latn' },
  ['unr'] = { 'Beng', 'Deva' },
  ['unx'] = { 'Beng', 'Deva' },
  ['ur'] = { 'Arab' },
  ['uz'] = { 'Arab', 'Cyrl', 'Latn' },
  ['vai'] = { 'Latn', 'Vaii' },
  ['ve'] = { 'Latn' },
  ['vec'] = { 'Latn' },
  ['vep'] = { 'Latn' },
  ['vi'] = { 'Latn' },
  ['vic'] = { 'Latn' },
  ['vls'] = { 'Latn' },
  ['vmf'] = { 'Latn' },
  ['vro'] = { 'Latn' },
  ['vun'] = { 'Latn' },
  ['wa'] = { 'Latn' },
  ['wae'] = { 'Latn' },
  ['wal'] = { 'Ethi' },
  ['war'] = { 'Latn' },
  ['was'] = { 'Latn' },
  ['wo'] = { 'Latn' },
  ['wuu'] = { 'Hans' },
  ['xal'] = { 'Cyrl' },
  ['xav'] = { 'Latn' },
  ['xh'] = { 'Latn' },
  ['xmf'] = { 'Geor' },
  ['xog'] = { 'Latn' },
  ['xsr'] = { 'Deva' },
  ['yao'] = { 'Latn' },
  ['yap'] = { 'Latn' },
  ['yav'] = { 'Latn' },
  ['ybb'] = { 'Latn' },
  ['yi'] = { 'Hebr' },
  ['yo'] = { 'Latn' },
  ['yrk'] = { 'Cyrl' },
  ['yrl'] = { 'Latn' },
  ['yua'] = { 'Latn' },
  ['yue'] = { 'Hans' },
  ['za'] = { 'Latn' },
  ['zap'] = { 'Latn' },
  ['zea'] = { 'Latn' },
  ['zgh'] = { 'Tfng' },
  ['zh'] = { 'Hans', 'Hant' },
  ['zmi'] = { 'Latn' },
  ['zu'] = { 'Latn' },
  ['zun'] = { 'Latn' },
  ['zza'] = { 'Latn' }
}

return l